class UseCasesController < ApplicationController
  # GET /use_cases
  # GET /use_cases.xml
  def index
    @use_cases = UseCase.find(:all)

    respond_to do |format|
      format.html
      format.xml { render :xml => @use_cases.to_xml }
    end
  end

  # GET /use_cases/1
  # GET /use_cases/1.xml
  def show
    @use_case = UseCase.find(params[:id])

    respond_to do |format|
      format.html
      format.xml { render :xml => @use_case.to_xml }
    end
  end

  # GET /use_cases/new
  def new
    @use_case = UseCase.new
  end

  # GET /use_cases/1;edit
  def edit
    @use_case = UseCase.find(params[:id])
  end

  # POST /use_cases
  # POST /use_cases.xml
  def create
    @use_case = UseCase.new(params[:use_case])

    respond_to do |format|
      if @use_case.save
        flash[:notice] = "Use case was successfully created."
        format.html { redirect_to use_case_url(@use_case) }
        format.xml  { head :created, :location => use_case_url(@use_case) }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @use_case.errors.to_xml }
      end
    end
  end

  # PUT /use_cases/1
  # PUT /use_cases/1.xml
  def update
    @use_case = UseCase.find(params[:id])

    respond_to do |format|
      if @use_case.update_attributes(params[:use_case])
        flash[:notice] = "Use case was successfully updated."
        format.html { redirect_to use_case_url(@use_case) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @use_case.errors.to_xml }
      end
    end
  end

  # DELETE /use_cases/1
  # DELETE /use_cases/1.xml
  def destroy
    @use_case = UseCase.find(params[:id])
    @use_case.destroy

    respond_to do |format|
      format.html { redirect_to use_cases_url }
      format.xml  { head :ok }
    end
  end

end
