require File.dirname(__FILE__) + '/../test_helper'

class GlossaryTermTest < Test::Unit::TestCase
  fixtures :glossary_terms

  def test_term_is_not_blank
    term = GlossaryTerm.new
    assert !term.valid?
    assert term.errors.invalid?(:term)
  end

  def test_term_is_unique
    term = GlossaryTerm.new(:term => "test")
    assert !term.save
    assert term.errors.invalid?(:term)
    # case in-sensitive
    term = GlossaryTerm.new(:term => "Test")
    assert !term.save
    assert term.errors.invalid?(:term)
  end
end
